org.apache.felix.ipojo.composite.service.provides

## Class ProvidedServiceHandlerDescription

- java.lang.Object
- - org.apache.felix.ipojo.architecture.HandlerDescription
  - - org.apache.felix.ipojo.composite.service.provides.ProvidedServiceHandlerDescription

    public class ProvidedServiceHandlerDescription
    extends HandlerDescription

Provided Service Handler Description for composite.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`ProvidedServiceHandlerDescription(CompositeHandler handler, java.util.List services, java.util.List exporters)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.felix.ipojo.metadata.Element` `getHandlerInfo()` Get the handler description.

### Methods inherited from class org.apache.felix.ipojo.architecture.HandlerDescription

`getHandlerName, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProvidedServiceHandlerDescription

    public ProvidedServiceHandlerDescription(CompositeHandler handler,
                                             java.util.List services,
                                             java.util.List exporters)

Constructor.

Parameters:
  `handler` - : composite handler.
  `services` - : The list of Provided Service.
  `exporters` - : list of managed exports

### Method Detail

#### getHandlerInfo

    public org.apache.felix.ipojo.metadata.Element getHandlerInfo()

Get the handler description.

Overrides:
  `getHandlerInfo` in class `HandlerDescription`
Returns:
  the provided service handler description
See Also:
  `HandlerDescription.getHandlerInfo()`